#include <d3d8.h>

//          FORMAT                 BPP
  
SMD3DFORMAT(D3DFMT_UNKNOWN       , 0    )
SMD3DFORMAT(D3DFMT_R8G8B8        , 24   )
SMD3DFORMAT(D3DFMT_A8R8G8B8      , 32   )
SMD3DFORMAT(D3DFMT_X8R8G8B8      , 32   )
SMD3DFORMAT(D3DFMT_R5G6B5        , 16   )
SMD3DFORMAT(D3DFMT_X1R5G5B5      , 16   )
SMD3DFORMAT(D3DFMT_A1R5G5B5      , 16   )
SMD3DFORMAT(D3DFMT_A4R4G4B4      , 16   )
SMD3DFORMAT(D3DFMT_R3G3B2        , 8    )
SMD3DFORMAT(D3DFMT_A8            , 8    )
SMD3DFORMAT(D3DFMT_A8R3G3B2      , 16   )
SMD3DFORMAT(D3DFMT_X4R4G4B4      , 16   )
SMD3DFORMAT(D3DFMT_A8P8          , 16   )
SMD3DFORMAT(D3DFMT_P8            , 8    )
SMD3DFORMAT(D3DFMT_L8            , 8    )
SMD3DFORMAT(D3DFMT_A8L8          , 16   )
SMD3DFORMAT(D3DFMT_A4L4          , 8    )
SMD3DFORMAT(D3DFMT_V8U8          , 16   )
SMD3DFORMAT(D3DFMT_L6V5U5        , 16   )
SMD3DFORMAT(D3DFMT_X8L8V8U8      , 32   )
SMD3DFORMAT(D3DFMT_Q8W8V8U8      , 32   )
SMD3DFORMAT(D3DFMT_V16U16        , 32   )
SMD3DFORMAT(D3DFMT_W11V11U10     , 32   )
SMD3DFORMAT(D3DFMT_UYVY          , 0    )
SMD3DFORMAT(D3DFMT_YUY2          , 0    )
SMD3DFORMAT(D3DFMT_DXT1          , 16   )
SMD3DFORMAT(D3DFMT_DXT2          , 16   )
SMD3DFORMAT(D3DFMT_DXT3          , 16   )
SMD3DFORMAT(D3DFMT_DXT4          , 16   )
SMD3DFORMAT(D3DFMT_DXT5          , 16   )
SMD3DFORMAT(D3DFMT_D16_LOCKABLE  , 16   )
SMD3DFORMAT(D3DFMT_D32           , 32   )
SMD3DFORMAT(D3DFMT_D15S1         , 16   )
SMD3DFORMAT(D3DFMT_D24S8         , 32   )
SMD3DFORMAT(D3DFMT_D16           , 16   )
SMD3DFORMAT(D3DFMT_D24X8         , 32   )
SMD3DFORMAT(D3DFMT_D24X4S4       , 32   )
SMD3DFORMAT(D3DFMT_VERTEXDATA    , 0    )
SMD3DFORMAT(D3DFMT_INDEX16       , 0    )
SMD3DFORMAT(D3DFMT_INDEX32       , 0    )
